#!/bin/sh

# capture size
size='--rotation 180 --width 1920 --height 1080 --nopreview --timeout 1000'
quality=90
point=64
offset=64,1024

# working dir
dir=/var/www/html/img
mkdir -p $dir
cd $dir

# etc.
temp=IR.jpg

# loop forever
while :
do
    # read config
    . /home/pi/webcam.conf
    # wait for every 10 sec.
    sec=`/bin/date +%S | sed s/.//`
    sleep `/usr/bin/expr 10 - $sec`
    # make filename
    file=`/bin/date +%Y%m%d%H%M%S`
    # capture
    /usr/bin/raspistill $size --output ../$temp
    # telop
    s=`/bin/date '+%Y/%m/%d %H:%M:%S'`
    /usr/bin/convert ../$temp  -quality $quality -pointsize $point -fill white -stroke black -draw "text $offset '$s'" $file.$temp
    # check QR-code
    /home/pi/config.prl &
done
