#!/bin/sh

# capture size
USBsize='-r 1920x1080 --rotate 0'
USBquality=90
USBpoint=64
USBoffset=64,1024

# working dir
dir=/var/www/html/img
mkdir -p $dir
cd $dir

# etc.
temp=USB.jpg

# loop forever
while :
do
    # read config
    . /home/pi/webcam.conf
    # wait for every 10 sec.
    sec=`/bin/date +%S | sed s/.//`
    sleep `/usr/bin/expr 10 - $sec`
    # make filename
    file=`/bin/date +%Y%m%d%H%M%S`
    # capture
    /usr/bin/fswebcam $USBsize --no-banner --quiet ../$temp
    # telop
    s=`/bin/date '+%Y/%m/%d %H:%M:%S'`
    /usr/bin/convert ../$temp  -quality $USBquality -pointsize $USBpoint -fill white -stroke black -draw "text $USBoffset '$s'" $file.$temp
done
